#!/bin/sh
xmldir=/etc/xml
xmlcat=${xmldir}/catalog
catn=docbook2x.xml
catf=${xmldir}/${catn}
mkdir -p ${xmldir}
if ! test -f ${catf}
then
  xmlcatalog --create --noout ${catf}
fi

xmlcatalog --noout --add delegatePublic "-//Steve Cheng//DTD" "./${catn}" ${xmlcat}
xmlcatalog --noout --add delegatePublic "-//Steve Cheng//DOCUMENT DocBook" "./${catn}" ${xmlcat}

xmlcatalog --noout --add delegateSystem "http://docbook2x.sf.net/latest/" "./${catn}" ${xmlcat}
xmlcatalog --noout --add delegateSystem "http://docbook2x.sourceforge.net/latest/" "./${catn}" ${xmlcat}

xmlcatalog --noout --add delegatePublic "-//Steve Cheng//DTD Man-XML V0.8.6//EN" "/usr/share/docbook2X/dtd/catalog.xml" ${catf}
xmlcatalog --noout --add delegatePublic "-//Steve Cheng//DTD Texi-XML V0.8.6//EN" "/usr/share/docbook2X/dtd/catalog.xml" ${catf}
xmlcatalog --noout --add delegateSystem "http://docbook2x.sourceforge.net/latest/dtd/" "/usr/share/docbook2X/dtd/catalog.xml" ${catf}
xmlcatalog --noout --add delegateSystem "http://docbook2x.sf.net/latest/dtd/" "/usr/share/docbook2X/dtd/catalog.xml" ${catf}

xmlcatalog --noout --add delegatePublic "-//Steve Cheng//DOCUMENT DocBook Texinfo Stylesheet//EN" "/usr/share/docbook2X/xslt/catalog.xml" ${catf}
xmlcatalog --noout --add delegatePublic "-//Steve Cheng//DOCUMENT DocBook Man-page Stylesheet//EN" "/usr/share/docbook2X/xslt/catalog.xml" ${catf}
xmlcatalog --noout --add delegateSystem "http://docbook2x.sourceforge.net/latest/xslt/" "/usr/share/docbook2X/xslt/catalog.xml" ${catf}
xmlcatalog --noout --add delegateSystem "http://docbook2x.sf.net/latest/xslt/" "/usr/share/docbook2X/xslt/catalog.xml" ${catf}
